import request from '@/utils/request'

// 查询工资上报控制列表
export function listSalaryreport(query) {
  return request({
    url: '/system/salaryreport/list',
    method: 'get',
    params: query
  })
}

// 查询工资上报控制列表[审批列表]
export function listSalaryreportApprove(query) {
  return request({
    url: '/system/salaryreport/listapprove',
    method: 'get',
    params: query
  })
}

// 年度汇总
export function reportYearSummary(data) {
  return request({
    url: '/system/salaryreport/reportYearSummary',
    method: 'get',
    params: data
  })
}


// 查询工资上报控制详细
export function getSalaryreport(id) {
  return request({
    url: '/system/salaryreport/' + id,
    method: 'get'
  })
}

// 新增工资上报控制
export function addSalaryreport(data) {
  return request({
    url: '/system/salaryreport',
    method: 'post',
    data: data
  })
}

// 修改工资上报控制
export function updateSalaryreport(data) {
  return request({
    url: '/system/salaryreport',
    method: 'put',
    data: data
  })
}

// 删除工资上报控制
export function delSalaryreport(id) {
  return request({
    url: '/system/salaryreport/' + id,
    method: 'delete'
  })
}

// 导出工资上报控制
export function exportSalaryreport(query) {
  return request({
    url: '/system/salaryreport/export',
    method: 'get',
    params: query
  })
}


// 查询工资上报控制详细
export function getSalaryreportInfo(reportId) {
  return request({
    url: '/system/salaryreport/info/' + reportId,
    method: 'get'
  })
}


// 查询工资上报控制详细
//reportCode : 202105
export function getSalaryreportInfoByCode(reportCode, reportType) {
  return request({
    url: '/system/salaryreport/info/code/' + reportCode + '/' + reportType,
    method: 'get'
  })
}


// 提交报送
// data ：： SysGzReportApprove
//01: 未报送，02：报送待批；03：已批准;04：已退回
export function submit(data) {
  return request({
    url: '/system/salaryreport/submit',
    method: 'post',
    data: data
  })
}


// 审核报送
// data ：： SysGzReportApprove
//01: 未报送，02：报送待批；03：已批准;04：已退回
export function approve(data) {
  return request({
    url: '/system/salaryreport/approve',
    method: 'post',
    data: data
  })
}


// 报送退回
// data ：： SysGzReportApprove
//01: 未报送，02：报送待批；03：已批准;04：已退回
export function approveBack(data) {
  return request({
    url: '/system/salaryreport/approveBack',
    method: 'post',
    data: data
  })
}
